package com.mortals.xhx.module.goview.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.goview.dao.GoviewProjectDao;
import com.mortals.xhx.module.goview.model.GoviewProjectEntity;
import com.mortals.xhx.module.goview.service.GoviewProjectService;
import org.springframework.stereotype.Service;
/**
* GoviewProjectService
* 项目 service实现
*
* @author zxfei
* @date 2023-04-13
*/
@Service("goviewProjectService")
public class GoviewProjectServiceImpl extends AbstractCRUDServiceImpl<GoviewProjectDao, GoviewProjectEntity, Long> implements GoviewProjectService {

    @Override
    protected void saveBefore(GoviewProjectEntity entity, Context context) throws AppException {
        this.validData(entity, context);
        entity.setCustomerId(this.getContextUserId(context));
    }
}